API to get list of templates

http
GET https://services.leadconnectorhq.com/invoices/template

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
altIdstringYes6578278e879ad2646715ba9caccount Id / company Id based on altType
altTypestringYesaccountAlt Type
statusstringNostatus to be filtered
startAtstringNo2023-01-01startAt in YYYY-MM-DD format
endAtstringNo2023-01-01endAt in YYYY-MM-DD format
searchstringNoAlexTo search for an invoice by id / name / email / phoneNo
paymentModestringNolivepayment mode
limitstringYes10Limit the number of items to return
offsetstringYes10Number of items to skip

Responses

200 - Successful response
  • data (object[], required)

    • _id (string, required): Template Id Example: 6578278e879ad2646715ba9c

    • altId (string, required): Account Id or Agency Id Example: 6578278e879ad2646715ba9c

    • altType (string, required): Possible values: 'account'

    • name (string, required): Name of the Template Example: New Template

    • businessDetails (object, required): Business Details

    • currency (string, required): Currency Example: USD

    • discount (object): Discount

    • items (string[], required): Invoice Items

    • invoiceNumberPrefix (string): prefix for invoice number Example: INV-

    • total (number, required): Total Amount Example: 999

    • createdAt (string, required): created at Example: 2023-12-12T09:27:42.355Z

    • updatedAt (string, required): updated at Example: 2023-12-12T09:27:42.355Z

  • totalCount (number, required): Total number of Templates Example: 100

json
{
  "data": [
    {
      "_id": "6578278e879ad2646715ba9c",
      "altId": "6578278e879ad2646715ba9c",
      "altType": "account",
      "name": "New Template",
      "businessDetails": {
        "name": "Alex",
        "address": {
          "addressLine1": "9931 Beechwood",
          "city": "St. Houston",
          "state": "TX",
          "countryCode": "USA",
          "postalCode": "559-6993"
        },
        "phoneNo": "+1-214-559-6993",
        "website": "www.example.com"
      },
      "currency": "USD",
      "discount": {
        "type": "percentage",
        "value": 0
      },
      "items": [
        {
          "taxes": [],
          "_id": "c6tZZU0rJBf30ZXx9Gli",
          "productId": "c6tZZU0rJBf30ZXx9Gli",
          "priceId": "c6tZZU0rJBf30ZXx9Gli",
          "currency": "USD",
          "name": "Macbook Pro",
          "qty": 1,
          "amount": 999
        }
      ],
      "invoiceNumberPrefix": "INV-",
      "total": 999,
      "createdAt": "2023-12-12T09:27:42.355Z",
  // truncado: 5 lineas mas
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/invoices/template' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?